Subject: Re: Network access fails unless tcpdump is running?

From: Andy Gospodarek <[email-masked]>
Date: Thu, 1 Mar 2007 15:13:08 -0500

On Thu, Mar 01, 2007 at 02:22:24PM -0500, Marc D Ronell wrote:
> 
> Hi,
> 
> I can not ping a remote host successfully unless I have "tcpdump -i
> eth0" running, in which case, my network access works fine.  

Interesting that when your interface is in promiscious mode it works
fine, but otherwise it doesn't.  Do you have all of your iptables rules
cleared?

> I am  running Debian etch on  a Dell Inspiron e1505  laptop.  The eth0
> address  is static  on my  local LAN.   Once tcpdump  is  running, the
> laptop can access the network with no problems.

What networking hardware is on that laptop?  Can you post the complete
output of `ethtool -i eth0` and the network device info from the output
of `lcpci -vvv`?